## gkrellm-multiping-2.0.15.tar.gz

=== Makefile ===
ifeq ($(INSTALLROOT),)
INSTALLROOT = /usr/local
endif
ifeq ($(PLUGINDIR),)
PLUGINDIR=$(INSTALLROOT)/lib/gkrellm2/plugins
endif
ifeq ($(HELPERDIR),)
HELPERDIR=$(INSTALLROOT)/lib/gkrellm2/exec
endif
VERSION = 2.0.15
PKGNAME = gkrellm-multiping
CC = gcc

DISTFILES = \
	AUTHORS Makefile multiping.c pinger.c decal_multiping_status.xpm \
	Themes ChangeLog README \
	debian/changelog debian/control debian/copyright \
	debian/gkrellm-multiping.postinst debian/rules \

DISTDIR = $(PKGNAME)-$(VERSION)

all: pinger multiping.so

pinger: pinger.c
	$(CC) -Wl,--as-needed pinger.c $(shell pkg-config glib-2.0 --cflags) \
		$(OPT) -lpthread $(shell pkg-config glib-2.0 --libs) -Wall -o pinger

multiping.o: multiping.c decal_multiping_status.xpm
	$(CC) -Wall -fPIC -Wall $(shell pkg-config gtk+-2.0 --cflags) $(OPT) \
	-DHELPERDIR=\"$(HELPERDIR)\" -DVERSION=\"$(VERSION)\" -c multiping.c

multiping.so: multiping.o
	$(CC) -shared -Wl,--as-needed multiping.o $(shell pkg-config gtk+-2.0 --libs) -o multiping.so

clean:
	rm -f *.o *.so pinger core

install: pinger multiping.so
	install -d $(PLUGINDIR)
	install -d $(HELPERDIR)
	install -c -s -m 644 multiping.so $(PLUGINDIR)
	install -c -s -m 4755 pinger $(HELPERDIR)
	echo "pinger helper is installed suid root"

dist:
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR) $(DISTDIR)/debian
	for I in $(DISTFILES) ; do cp "$$I" $(DISTDIR)/$$I ; done
	tar zcf $(PKGNAME)-$(VERSION).tgz $(PKGNAME)-$(VERSION)
	rm -rf $(DISTDIR)

=== debian/changelog ===
gkrellm-multiping (2.0.15-1) unstable; urgency=low

  * New upstream release
  * ipv6 support

 -- Jindrich Makovicka <makovick@gmail.com>  Wed, 06 Oct 2010 19:18:25 +0200

gkrellm-multiping (2.0.12-1) unstable; urgency=low

  * New upstream release
  * ported to GtkTreeView

 -- Jindrich Makovicka <makovick@gmail.com>  Sun, 15 Oct 2006 20:06:58 +0200

gkrellm-multiping (2.0.11-1) unstable; urgency=low

  * Initial release.

 -- Jindrich Makovicka <makovick@kmlinux.fjfi.cvut.cz>  Sat, 17 Dec 2005 14:44:33 +0100

=== debian/control ===
Source: gkrellm-multiping
Section: x11
Priority: optional
Maintainer: Jindrich Makovicka <makovick@gmail.com>
Build-Depends: debhelper (>= 4.1.0), gkrellm, libgtk2.0-dev
Standards-Version: 3.6.1.1

Package: gkrellm-multiping
Architecture: any
Depends: gkrellm, ${shlibs:Depends}
Description: GkrellM Multiping Plugin
 Can ping multiple hosts at once and display their status
 and current trip time

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

package := gkrellm-multiping
prefix := $(shell pwd)/debian/$(package)

CFLAGS = -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif


build: 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) INSTALLROOT=/usr


clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gkrellm-multiping.
	$(MAKE) install INSTALLROOT=$(prefix)/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
